package cygx

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxReportMappingGroup struct {
	Id              int       `orm:"column(id);pk" description:"id"`
	IdCygx          int       `description:"分类ID"`
	CategoryIdCelue int       `description:"分类ID"`
	CreateTime      time.Time `description:"创建时间"`
	ModifyTime      time.Time `description:"更新时间"`
}

// 列表
func GetCygxReportMappingGroupList(condition string, pars []interface{}, startSize, pageSize int) (items []*CygxReportMappingGroup, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	sql := `SELECT * FROM cygx_report_mapping_group as art WHERE 1= 1 `
	if condition != "" {
		sql += condition
	}
	sql += ` LIMIT ?,?  `
	_, err = o.Raw(sql, pars, startSize, pageSize).QueryRows(&items)
	return
}
